SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000333: IP Range for OpenVPN cannot go from below 100 to above 100 - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000333Endian FirewallGUIpublic2007-11-22 18:452008-02-02 07:28
Reporterhefebia 
Assigned Tora-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.2 
Target Version2.2-beta3Fixed in Version2.2-beta3 
Summary0000333: IP Range for OpenVPN cannot go from below 100 to above 100
DescriptionWhen I try to configure the client IP range for OpenVPN say from 192.168.0.65 to 192.168.0.127 the GUI will complain that the start address is higher than the end address.
Seems like a string comparison instead of number comparison issue to me.
192.168.0.65 to 192.168.0.99 works.
192.168.0.100 to 192.168.0.127 works, too.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000785)
ra-endian (administrator)
2008-01-11 14:01

this bug has fixed in svn.

thank you for the report

- Issue History
Date Modified Username Field Change
2007-11-22 18:45 hefebia New Issue
2007-11-23 15:46 peter-endian Status new => assigned
2007-11-23 15:46 peter-endian Assigned To => peter-endian
2007-11-23 15:46 peter-endian Status assigned => confirmed
2008-01-09 20:19 peter-endian Target Version => 2.2-beta3
2008-01-11 13:53 ra-endian Status confirmed => assigned
2008-01-11 13:53 ra-endian Assigned To peter-endian => ra-endian
2008-01-11 14:01 ra-endian Status assigned => resolved
2008-01-11 14:01 ra-endian Fixed in Version => 2.2-beta3
2008-01-11 14:01 ra-endian Resolution open => fixed
2008-01-11 14:01 ra-endian Note Added: 0000785
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker